// Local.h
//
// Macintosh Version

#ifndef _H_Local
#define _H_Local	1

#define macintosh	1

#include "ObjectWindow.h"
#include <stdarg.h>
#include <QDOffscreen.h>
#include <Math.h>

typedef Ptr			HugePtr;
typedef short		Droolean;		// Boolean forced to a short
typedef RGBColor	TriColor;

// Ptrs are assumed to be near/far unless explicitly declared as HugePtr

// Mac Specific - used for flagging which keys have been pressed
#define UpFlag		0x40
#define DownFlag	0x20
#define LeftFlag	0x08
#define RightFlag	0x10

#define KeyMask		0x78

// Mac Specific - key bits used for 4 and 6 on keypad
#define LatLeftFlag		0x0100
#define LatRightFlag	0x0200
#define RunFlag			0x0400

/*typedef stuct {*/
/*	short	top,left,bottom,right;*/
/*} MacRect;*/

typedef Rect	MacRect;
typedef Point	MacPoint;


#define			MainWIND	128
#define			World1CLUT	200			// 2/13/95 JAB
extern CTabHandle	gCurCLUT;			// 2/13/95 JAB


///////// esr Added
Ptr SuckFile (char *fileName);

#define FreePtr(p) {if(p) DisposePtr(p);}
#define huge
void LogMessage(char *str,...);

#define GetBitsXY(p,x,y,d)  	 	((*p)->baseAddr + ((d * y) + x))
#define IncScanLine(dib,p,rowBytes) (p + rowBytes)

#define BYTE unsigned char
#define FadeInDesktop GammaFadeIn
#define FadeOutDesktop GammaFadeOut
#define MSBToLocalLong(x)			x

#endif
