// ToastTalk.h

#define MAX_CLIENTS	16


typedef struct {
	long	userID;
	Str63	name;
	short	connectionType;
	short	active;
#ifdef macintosh
	TargetID		networkID;				// Switch to Union
#endif
} ClientRec,*ClientPtr;


#define MaxSendSprites	128
typedef struct {
	short			nbrSendSprites;
	SpriteInstance	sendTable[MaxSendSprites];
} SendSpriteTable;


extern ClientRec	clients[MAX_CLIENTS];
extern short		gNbrClients,gActiveClients;

// Server sends sprites to client
void SendSpriteList(ClientPtr	cp);

void ReceiveSpriteStateChange(SpriteInstance *si);
void ReceiveNewSprite(SpriteInstance *si);
void ReceiveKillSprite(long id);
void ReceiveExplodeSprite(long id, short lifeSpan);

void ServerToClientEventLT(TargetID *destTargetID, unsigned long eventType, unsigned long refNum,
					Ptr bufferContents, long bufferLength);
void ClientToServerEvent(unsigned long eventType, unsigned long refNum,
					Ptr bufferContents, long bufferLength);
void ServerToClientEvent(ClientPtr	cp, unsigned long eventType,unsigned long refNum,Ptr bufferContents,long bufferLength);
void ServerToAllEvent(unsigned long eventType, unsigned long refNum,
					Ptr bufferContents, long bufferLength);
